Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [teneo] versions?
[teneo] versions? [message #502023] Fri, 04 December 2009 19:39 Go to next message
Roberto Leibman is currently offline Roberto LeibmanFriend
Messages: 6
Registered: July 2009
Junior Member
Hi,
So... we are currently running all of our stack with the following versions:

emf-core: 3.2
teneo: 1.0.1
transaction: 1.0.2
compare: 0.8.0
xsd: 2.4

Assuming we wanted to update to the latest stable set, what versions of
all of these should we be attempting to get together? Am I missing any
dependencies?

Thanks!

Roberto
Re: [teneo] versions? [message #502033 is a reply to message #502023] Fri, 04 December 2009 20:34 Go to previous message
Martin Taal is currently offline Martin TaalFriend
Messages: 5468
Registered: July 2009
Senior Member
Hi Roberto,
This page gives an overview of the Teneo, EMF and hibernate versions:
http://www.elver.org/hibernate/index.html
(also note the hibernate versions)

The 1.1.2 and 1.2.0 builds are done from the same code base so there is no difference between the two. My goal is to
keep the code base for these two builds the same as long as possible.

If you let teneo generate the hibernate mapping file then I would do a compare between the new and old hibernate mapping
xml to check if there are any differences.

Then check out different options to control differences in behavior:
http://www.elver.org/hibernate/options.html

See also this post:
http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg3 9682.html

I think the versions for xsd, transaction and compare can be derived from the EMF/Eclipse version you are targeting for.

gr. Martin

Roberto Leibman wrote:
> Hi,
> So... we are currently running all of our stack with the following versions:
>
> emf-core: 3.2
> teneo: 1.0.1
> transaction: 1.0.2
> compare: 0.8.0
> xsd: 2.4
>
> Assuming we wanted to update to the latest stable set, what versions of
> all of these should we be attempting to get together? Am I missing any
> dependencies?
>
> Thanks!
>
> Roberto


--

With Regards, Martin Taal

Springsite/Elver.org
Office: Hardwareweg 4, 3821 BV Amersfoort
Postal: Nassaulaan 7, 3941 EC Doorn
The Netherlands
Cell: +31 (0)6 288 48 943
Tel: +31 (0)84 420 2397
Fax: +31 (0)84 225 9307
Mail: mtaal@springsite.com - mtaal@elver.org
Web: www.springsite.com - www.elver.org
Previous Topic:EAnnotation and DynamicEObjectImpl
Next Topic:Re: [teneo] Issues adding additional indexes to my entity using @Index
Goto Forum:
  


Current Time: Wed Nov 13 02:26:24 GMT 2019

Powered by FUDForum. Page generated in 0.01484 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top